"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getType_1 = require("./utils/getType");
const isList_1 = require("./utils/isList");
const isRequired_1 = require("./utils/isRequired");
const isRequiredList_1 = require("./utils/isRequiredList");
function getArgs(args) {
    const argMaps = args.map((arg) => ({
        name: arg.name,
        type: (0, getType_1.default)(arg.type).name,
        isRequired: (0, isRequired_1.default)(arg.type),
        isList: (0, isList_1.default)(arg.type),
        isListRequired: (0, isRequiredList_1.default)(arg.type),
        defaultValue: arg.defaultValue,
    }));
    return argMaps;
}
exports.default = getArgs;
//# sourceMappingURL=getArgs.js.map